trace-recorder.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Search::WrapTraceRecorder
| Recorder for engine events (for access control). More...
class | Gecode::Search::TraceRecorder
| Simple recorder for a search tracer. More...
class | Gecode::Search::TraceRecorder::ID
| Class for storing identifiers. More...
class | Gecode::Search::EdgeTraceRecorder
| Recorder for a search tracer with edge information. More...
class | Gecode::Search::NoTraceRecorder
| Empty trace recorder. More...
class | Gecode::Search::NoTraceRecorder::ID
| Class for storing node identifiers. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines